From e098cc7ec64f2078bf9faa39deeb0f409b4040ed Mon Sep 17 00:00:00 2001
From: Tim Daly <daly@axiom-developer.org>
Date: Tue, 6 Jan 2015 15:45:11 -0500
Subject: buglist: bug 7282: Cannot convert from type Matrix(Integer)...

K := Fraction Integer
g := matrix [[1,0,0,0], [0,-1,0,0], [0,0,-1,0], [0,0,0,-1]]
D := CliffordAlgebra(4, K, g)
D::InputForm
unparse %
parse(%)@InputForm
1::D
---
 buglist                        |   13 ++++++++++++-
 changelog                      |    2 ++
 patch                          |   25 +++++++++----------------
 src/axiom-website/patches.html |    2 ++
 4 files changed, 25 insertions(+), 17 deletions(-)

diff --git a/buglist b/buglist
index a2ed0cf..7456757 100644
--- a/buglist
+++ b/buglist
@@ -1,6 +1,6 @@
 =========================================================================
 
-bug 7281: 
+bug 7283: 
 todo 337:
 wish 1012:
 meh 5:
@@ -12,6 +12,17 @@ dup 50006:
 nonextend 60077:
 
 =========================================================================
+bug 7282: Cannot convert from type Matrix(Integer)...
+
+K := Fraction Integer
+g := matrix [[1,0,0,0], [0,-1,0,0], [0,0,-1,0], [0,0,0,-1]]
+D := CliffordAlgebra(4, K, g)
+D::InputForm
+unparse %
+parse(%)@InputForm
+1::D
+
+=========================================================================
 bug 7281: )show TYPE gives duplicate output
 
 )show TYPE
diff --git a/changelog b/changelog
index 87a6e4a..004b89b 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20150106 tpd src/axiom-website/patches.html 20150106.06.tpd.patch
+20150106 tpd buglist: bug 7282: Cannot convert from type Matrix(Integer)...
 20150106 tpd src/axiom-website/patches.html 20150106.05.tpd.patch
 20150106 tpd buglist: bug 7281: )show TYPE gives duplicate output
 20150106 tpd src/axiom-website/patches.html 20150106.04.tpd.patch
diff --git a/patch b/patch
index 3f17a17..2cca03d 100644
--- a/patch
+++ b/patch
@@ -1,16 +1,9 @@
-buglist: bug 7281: )show TYPE gives duplicate output
-
-)show TYPE
- Type  is a category constructor
- Abbreviation for Type is TYPE 
- This constructor is exposed in this frame.
- Issue )edit bookvol10.2.pamphlet to see algebra source code for TYPE 
-
-------------------------------- Operations --------------------------------
- Type is a category constructor.
- Abbreviation for Type is TYPE 
- This constructor is exposed in this frame.
- Issue )edit bookvol10.2.pamphlet to see algebra source code for TYPE 
-
-------------------------------- Operations --------------------------------
-
+buglist: bug 7282: Cannot convert from type Matrix(Integer)...
+
+K := Fraction Integer
+g := matrix [[1,0,0,0], [0,-1,0,0], [0,0,-1,0], [0,0,0,-1]]
+D := CliffordAlgebra(4, K, g)
+D::InputForm
+unparse %
+parse(%)@InputForm
+1::D
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 3e6750e..ef3baa9 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4906,6 +4906,8 @@ books/bookvol5 remove $undoFlag as it is always true<br/>
 buglist: bug 7280: Enumeration fails<br/>
 <a href="patches/20150106.05.tpd.patch">20150106.05.tpd.patch</a>
 buglist: bug 7281: )show TYPE gives duplicate output<br/>
+<a href="patches/20150106.06.tpd.patch">20150106.06.tpd.patch</a>
+buglist: bug 7282: Cannot convert from type Matrix(Integer)...<br/>
  </body>
 </html>
 
-- 
1.7.5.4

